Subject: bug#41655: emacs-general fails to build

From: Jelle Licht <[email-masked]>
Date: Fri, 05 Jun 2020 22:34:29 +0200

"bdju" via Bug reports for GNU Guix <[email-masked]> writes:

> guix (GNU Guix) cef87bfea8a842d7dcf9a44c2305478fa6cca9b2
>
> I will attempt to attach the build log. I tried pasting the contents and
> it crashed my mail client. Also, paste.debian.net is down.
> Feel free to advise me on how to send the log in the future, perhaps
> this method is not good.
I've added my log for now:
https://paste.debian.net/1150472/

There are some weird control characters in the log, which might explain
why your mail client did not know how to deal with it.

It seems that it no longer builds since 41a2d6a8 updated emacs-evil;
Updating `emacs-general' to a more recent commit seems to be a bit of
work, as the build system now relies on `makem.sh'.